Bug 1303975 - gi.overrides.BlockDev.LVMError: The cache map 'data_vg-data_lv' doesn't exist:
gi.overrides.BlockDev.LVMError: The cache map 'data_vg-data_lv' doesn't exist:
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:c179023bd5816ebf984f3366f65...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 10:22 EST by Paul Fee
Modified: 2016-12-20 13:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:23:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (674.48 KB, text/plain)
2016-02-02 10:22 EST, Paul Fee
no flags Details
File: anaconda.log (6.88 KB, text/plain)
2016-02-02 10:22 EST, Paul Fee
no flags Details
File: environ (599 bytes, text/plain)
2016-02-02 10:22 EST, Paul Fee
no flags Details
File: journalctl (255.50 KB, text/plain)
2016-02-02 10:22 EST, Paul Fee
no flags Details
File: lsblk_output (3.40 KB, text/plain)
2016-02-02 10:22 EST, Paul Fee
no flags Details
File: nmcli_dev_list (1.77 KB, text/plain)
2016-02-02 10:22 EST, Paul Fee
no flags Details
File: os_info (451 bytes, text/plain)
2016-02-02 10:22 EST, Paul Fee
no flags Details
File: program.log (100.18 KB, text/plain)
2016-02-02 10:22 EST, Paul Fee
no flags Details
File: storage.log (284.51 KB, text/plain)
2016-02-02 10:22 EST, Paul Fee
no flags Details
File: ifcfg.log (4.37 KB, text/plain)
2016-02-02 10:22 EST, Paul Fee
no flags Details

  None (edit)
Description Paul Fee 2016-02-02 10:22:08 EST
Description of problem:
Attempted to reinstall F23 on a system that already has F23 installed.

Previous F23 installation is on a machine with two drives (SDD + HDD).  LVM is in use.  LVM caching is used with SSD caching an HDD based LV.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 416, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 1694, in stats
    return LVMCacheStats(blockdev.lvm.cache_stats(self._cached_lv.vg.name, self._cached_lv.lvname))
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 1682, in size
    return self.stats.size
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 639, in vgSpaceUsed
    cache_size = self.cache.size
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 380, in <genexpr>
    used = sum((lv.vgSpaceUsed for lv in self.lvs), Size(0))
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 380, in freeSpace
    used = sum((lv.vgSpaceUsed for lv in self.lvs), Size(0))
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 170, in dict
    "freeSpace": self.freeSpace,
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 1360, in <listcomp>
    shelf[key] = [d.dict for d in self.devices]
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 1360, in dumpState
    shelf[key] = [d.dict for d in self.devices]
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 290, in reset
    self.dumpState("initial")
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1157, in storageInitialize
    storage.reset()
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
gi.overrides.BlockDev.LVMError: The cache map 'data_vg-data_lv' doesn't exist: 

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-KDE-x86_64-23-10 ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-blivet-1.12.8-1.fc23.noarch, libblockdev-1.1-2.fc23.x86_64, python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Paul Fee 2016-02-02 10:22:15 EST
Created attachment 1120465 [details]
File: anaconda-tb
Comment 2 Paul Fee 2016-02-02 10:22:16 EST
Created attachment 1120466 [details]
File: anaconda.log
Comment 3 Paul Fee 2016-02-02 10:22:17 EST
Created attachment 1120467 [details]
File: environ
Comment 4 Paul Fee 2016-02-02 10:22:20 EST
Created attachment 1120468 [details]
File: journalctl
Comment 5 Paul Fee 2016-02-02 10:22:21 EST
Created attachment 1120469 [details]
File: lsblk_output
Comment 6 Paul Fee 2016-02-02 10:22:23 EST
Created attachment 1120470 [details]
File: nmcli_dev_list
Comment 7 Paul Fee 2016-02-02 10:22:24 EST
Created attachment 1120471 [details]
File: os_info
Comment 8 Paul Fee 2016-02-02 10:22:26 EST
Created attachment 1120472 [details]
File: program.log
Comment 9 Paul Fee 2016-02-02 10:22:29 EST
Created attachment 1120473 [details]
File: storage.log
Comment 10 Paul Fee 2016-02-02 10:22:30 EST
Created attachment 1120474 [details]
File: ifcfg.log
Comment 11 Paul Fee 2016-02-02 11:18:11 EST
Workaround, wipe partition tables on disks and retry.

# dd if=/dev/zero of=/dev/sda bs=512 count=20
# dd if=/dev/zero of=/dev/nvme0n1 bs=512 count=20

Anaconda no longer crashes.
Comment 12 Fedora End Of Life 2016-11-24 10:21:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 13:23:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.